Create report
Creates a new report.
Request
POST
https://api.datalens.tech/rpc/createReport
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"data": {
"counter": 1,
"salt": "example",
"version": 1,
"slides": [
{
"id": "example"
}
],
"slideGroups": [
{
"id": "example",
"items": [
null
],
"layout": [
null
],
"aliases": {},
"connections": [
null
]
}
],
"slidesOrder": [
"example"
],
"visualSettings": {
"backgroundColor": "example",
"backgroundSettings": {
"color": null
},
"borderRadius": 0.5,
"widgetsSettings": {
"borderRadius": 0.5,
"internalMarginsEnabled": true
},
"theme": "example",
"contrast": "example",
"format": "example",
"orientation": "example",
"displayVisualGrid": "example",
"displayDefaultFooter": "example",
"footerText": "example",
"displayLink": "example",
"footerLink": "example",
"displayOnFirstPage": "example",
"displayPageNumber": "example"
},
"slideSettings": {},
"settings": {
"enableAssistant": true,
"dependentSelectors": true,
"loadOnlyVisibleCharts": true
},
"supportDescription": "example",
"accessDescription": "example"
},
"meta": {},
"annotation": {
"description": "example"
},
"includePermissions": true,
"key": "example",
"workbookId": "example",
"name": "example"
}
All of 2 types
-
Type: object
data
Type: ReportData
Example
{ "counter": 1, "salt": "example", "version": 1, "slides": [ { "id": "example" } ], "slideGroups": [ { "id": "example", "items": [ {} ], "layout": [ { "i": "example", "h": 0.5, "w": 0.5, "x": 0.5, "y": 0.5, "parent": "example" } ], "aliases": { "default": [ [ null, null ] ] }, "connections": [ { "from": "example", "to": "example", "kind": "ignore" } ] } ], "slidesOrder": [ "example" ], "visualSettings": { "backgroundColor": "example", "backgroundSettings": { "color": { "light": "example", "dark": "example" } }, "borderRadius": 0.5, "widgetsSettings": { "borderRadius": 0.5, "internalMarginsEnabled": true }, "theme": "example", "contrast": "example", "format": "example", "orientation": "example", "displayVisualGrid": "example", "displayDefaultFooter": "example", "footerText": "example", "displayLink": "example", "footerLink": "example", "displayOnFirstPage": "example", "displayPageNumber": "example" }, "slideSettings": {}, "settings": { "enableAssistant": true, "dependentSelectors": true, "loadOnlyVisibleCharts": true }, "supportDescription": "example", "accessDescription": "example" }meta
Type: DashMeta
Example
{}annotation
Type: EntryAnnotationArg
Example
{ "description": "example" }includePermissions
Type: boolean
Example
{ "data": { "counter": 1, "salt": "example", "version": 1, "slides": [ { "id": "example" } ], "slideGroups": [ { "id": "example", "items": [ null ], "layout": [ {} ], "aliases": { "default": [ null ] }, "connections": [ {} ] } ], "slidesOrder": [ "example" ], "visualSettings": { "backgroundColor": "example", "backgroundSettings": { "color": {} }, "borderRadius": 0.5, "widgetsSettings": { "borderRadius": 0.5, "internalMarginsEnabled": true }, "theme": "example", "contrast": "example", "format": "example", "orientation": "example", "displayVisualGrid": "example", "displayDefaultFooter": "example", "footerText": "example", "displayLink": "example", "footerLink": "example", "displayOnFirstPage": "example", "displayPageNumber": "example" }, "slideSettings": {}, "settings": { "enableAssistant": true, "dependentSelectors": true, "loadOnlyVisibleCharts": true }, "supportDescription": "example", "accessDescription": "example" }, "meta": {}, "annotation": { "description": "example" }, "includePermissions": true } -
Type: EntryLocationIdentifiers
Example
{ "key": "example", "workbookId": "example", "name": "example" }
DashColorByTheme
|
Name |
Description |
|
dark |
Type: string Color for the dark theme. Example: |
|
light |
Type: string Color for the light theme. Example: |
Example
{
"light": "example",
"dark": "example"
}
DashStringDefaultValue
Any of 2 types
-
Type: string
Example:
example -
Type: string[]
Example
[ "example" ]
Example: example
DashControlSourceExternal
External control source.
|
Name |
Description |
|
chartId |
Type: string Source chart identifier. Min length: Example: |
Example
{
"chartId": "example"
}
DashControlElement
One of 4 types
-
Type: object
elementType
Type: string
Select control type.
Const:
selectExample:
exampleaccentType
Type: string | null
Control accent style.
Const:
infoExample:
exampledefaultValue
Any of 2 types
-
Type: string
Example:
example -
Type: string[]
Example
[ "example" ]
Default selected value or values.
Example:
examplefieldType
Type: string
Type of the field used by the control.
Example:
examplehint
Type: string
Control hint text.
Example:
exampleinnerTitle
Type: string
Title displayed inside the control.
Example:
examplemultiselectable
Type: boolean
Whether multiple values can be selected.
operation
Type: string
Filtering operation.
Enum:
IN,NIN,EQ,NE,GT,LT,GTE,LTE,ISNULL,ISNOTNULL,ISTARTSWITH,STARTSWITH,IENDSWITH,ENDSWITH,ICONTAINS,CONTAINS,NOTICONTAINS,NOTCONTAINS,BETWEEN,LENEQ,LENGT,LENGTE,LENLT,LENLTE,NO_SELECTED_VALUESrequired
Type: boolean
Whether the control value is required.
showHint
Type: boolean
Whether to show the control hint.
showInnerTitle
Type: boolean
Whether to show the title inside the control.
showTitle
Type: boolean
Whether to show the control title.
titlePlacement
Type: string
Control title placement.
Enum:
hide,left,topExample
{ "required": true, "showHint": true, "showTitle": true, "hint": "example", "accentType": "info", "fieldType": "example", "innerTitle": "example", "showInnerTitle": true, "operation": "IN", "titlePlacement": "hide", "multiselectable": true, "elementType": "select", "defaultValue": "example" } -
-
Type: object
elementType
Type: string
Date control type.
Const:
dateExample:
exampleaccentType
Type: string | null
Control accent style.
Const:
infoExample:
exampledefaultValue
Type: string
Default date value.
Example:
examplefieldType
Type: string
Type of the field used by the control.
Example:
examplehint
Type: string
Control hint text.
Example:
exampleinnerTitle
Type: string
Title displayed inside the control.
Example:
exampleisRange
Type: boolean
Whether the control selects a date range.
operation
Type: string
Filtering operation.
Enum:
IN,NIN,EQ,NE,GT,LT,GTE,LTE,ISNULL,ISNOTNULL,ISTARTSWITH,STARTSWITH,IENDSWITH,ENDSWITH,ICONTAINS,CONTAINS,NOTICONTAINS,NOTCONTAINS,BETWEEN,LENEQ,LENGT,LENGTE,LENLT,LENLTE,NO_SELECTED_VALUESrequired
Type: boolean
Whether the control value is required.
showHint
Type: boolean
Whether to show the control hint.
showInnerTitle
Type: boolean
Whether to show the title inside the control.
showTitle
Type: boolean
Whether to show the control title.
titlePlacement
Type: string
Control title placement.
Enum:
hide,left,topExample
{ "required": true, "showHint": true, "showTitle": true, "hint": "example", "accentType": "info", "fieldType": "example", "innerTitle": "example", "showInnerTitle": true, "operation": "IN", "titlePlacement": "hide", "isRange": true, "elementType": "date", "defaultValue": "example" } -
Type: object
elementType
Type: string
Input control type.
Const:
inputExample:
exampleaccentType
Type: string | null
Control accent style.
Const:
infoExample:
exampledefaultValue
Type: string
Default input value.
Example:
examplefieldType
Type: string
Type of the field used by the control.
Example:
examplehint
Type: string
Control hint text.
Example:
exampleinnerTitle
Type: string
Title displayed inside the control.
Example:
exampleoperation
Type: string
Filtering operation.
Enum:
IN,NIN,EQ,NE,GT,LT,GTE,LTE,ISNULL,ISNOTNULL,ISTARTSWITH,STARTSWITH,IENDSWITH,ENDSWITH,ICONTAINS,CONTAINS,NOTICONTAINS,NOTCONTAINS,BETWEEN,LENEQ,LENGT,LENGTE,LENLT,LENLTE,NO_SELECTED_VALUESrequired
Type: boolean
Whether the control value is required.
showHint
Type: boolean
Whether to show the control hint.
showInnerTitle
Type: boolean
Whether to show the title inside the control.
showTitle
Type: boolean
Whether to show the control title.
titlePlacement
Type: string
Control title placement.
Enum:
hide,left,topExample
{ "required": true, "showHint": true, "showTitle": true, "hint": "example", "accentType": "info", "fieldType": "example", "innerTitle": "example", "showInnerTitle": true, "operation": "IN", "titlePlacement": "hide", "elementType": "input", "defaultValue": "example" } -
Type: object
defaultValue
Type: string
Default checkbox value.
Example:
exampleelementType
Type: string
Checkbox control type.
Const:
checkboxExample:
exampleaccentType
Type: string | null
Control accent style.
Const:
infoExample:
examplefieldType
Type: string
Type of the field used by the control.
Example:
examplehint
Type: string
Control hint text.
Example:
exampleinnerTitle
Type: string
Title displayed inside the control.
Example:
exampleoperation
Type: string
Filtering operation.
Enum:
IN,NIN,EQ,NE,GT,LT,GTE,LTE,ISNULL,ISNOTNULL,ISTARTSWITH,STARTSWITH,IENDSWITH,ENDSWITH,ICONTAINS,CONTAINS,NOTICONTAINS,NOTCONTAINS,BETWEEN,LENEQ,LENGT,LENGTE,LENLT,LENLTE,NO_SELECTED_VALUESrequired
Type: boolean
Whether the control value is required.
showHint
Type: boolean
Whether to show the control hint.
showInnerTitle
Type: boolean
Whether to show the title inside the control.
showTitle
Type: boolean
Whether to show the control title.
titlePlacement
Type: string
Control title placement.
Enum:
hide,left,topExample
{ "required": true, "showHint": true, "showTitle": true, "hint": "example", "accentType": "info", "fieldType": "example", "innerTitle": "example", "showInnerTitle": true, "operation": "IN", "titlePlacement": "hide", "elementType": "checkbox", "defaultValue": "example" }
Example
{
"required": true,
"showHint": true,
"showTitle": true,
"hint": "example",
"accentType": "info",
"fieldType": "example",
"innerTitle": "example",
"showInnerTitle": true,
"operation": "IN",
"titlePlacement": "hide",
"multiselectable": true,
"elementType": "select",
"defaultValue": "example"
}
DashControlSourceDataset
Dataset control source.
All of 2 types
-
Type: DashControlElement
Example
{ "required": true, "showHint": true, "showTitle": true, "hint": "example", "accentType": "info", "fieldType": "example", "innerTitle": "example", "showInnerTitle": true, "operation": "IN", "titlePlacement": "hide", "multiselectable": true, "elementType": "select", "defaultValue": "example" } -
Type: object
datasetFieldId
Type: string
Source dataset field identifier.
Min length:
1Example:
exampledatasetId
Type: string
Source dataset identifier.
Min length:
1Example:
exampledatasetFieldType
Type: string
Source dataset field type.
Enum:
DIMENSION,MEASURE,PSEUDO,PARAMETERExample
{ "datasetId": "example", "datasetFieldId": "example", "datasetFieldType": "DIMENSION" }
Example
{
"required": true,
"showHint": true,
"showTitle": true,
"hint": "example",
"accentType": "info",
"fieldType": "example",
"innerTitle": "example",
"showInnerTitle": true,
"operation": "IN",
"titlePlacement": "hide",
"multiselectable": true,
"elementType": "select",
"defaultValue": "example",
"datasetId": "example",
"datasetFieldId": "example",
"datasetFieldType": "DIMENSION"
}
DashControlSourceManual
Manual control source.
All of 2 types
-
Type: DashControlElement
Example
{ "required": true, "showHint": true, "showTitle": true, "hint": "example", "accentType": "info", "fieldType": "example", "innerTitle": "example", "showInnerTitle": true, "operation": "IN", "titlePlacement": "hide", "multiselectable": true, "elementType": "select", "defaultValue": "example" } -
Type: object
fieldName
Type: string
Parameter name for the manual control.
Min length:
1Example:
exampleacceptableValues
Any of 2 types
-
Type: object[]
title
Type: string
Label for the allowed value.
Example:
examplevalue
Type: string
Allowed control value.
Example:
exampleExample
[ { "value": "example", "title": "example" } ] -
Type: object
from
Type: string
Start of the allowed value range.
Example:
exampleto
Type: string
End of the allowed value range.
Example:
exampleExample
{ "from": "example", "to": "example" }
Values accepted by the manual control.
Example
[ { "value": "example", "title": "example" } ]Example
{ "fieldName": "example", "acceptableValues": [ { "value": "example", "title": "example" } ] } -
Example
{
"required": true,
"showHint": true,
"showTitle": true,
"hint": "example",
"accentType": "info",
"fieldType": "example",
"innerTitle": "example",
"showInnerTitle": true,
"operation": "IN",
"titlePlacement": "hide",
"multiselectable": true,
"elementType": "select",
"defaultValue": "example",
"fieldName": "example",
"acceptableValues": [
{
"value": "example",
"title": "example"
}
]
}
DashLayoutItem
|
Name |
Description |
|
h |
Type: number Item height in grid units. |
|
i |
Type: string Dashboard item identifier. Min length: Example: |
|
w |
Type: number Item width in grid units. |
|
x |
Type: number Horizontal grid position. |
|
y |
Type: number Vertical grid position. |
|
parent |
Type: string Parent item identifier. Example: |
Example
{
"i": "example",
"h": 0.5,
"w": 0.5,
"x": 0.5,
"y": 0.5,
"parent": "example"
}
DashConnection
|
Name |
Description |
|
from |
Type: string Source widget identifier. Min length: Example: |
|
kind |
Type: string Connection type. Const: Example: |
|
to |
Type: string Target widget identifier. Min length: Example: |
Example
{
"from": "example",
"to": "example",
"kind": "ignore"
}
ReportData
|
Name |
Description |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
counter |
Type: integer Counter used to generate item identifiers. Min value: |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
salt |
Type: string Salt used to generate item identifiers. Min length: Example: |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
slideGroups |
Type: object[]
Slide groups in the report. Example
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
slides |
Type: object[]
Report slides. Min items: Example
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
slideSettings |
Type: object
Visual settings keyed by slide identifier. Example
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
slidesOrder |
Type: string[] Slide identifiers in display order. Example
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
version |
Type: number Report schema version. Const: |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
visualSettings |
Type: object
Default report visual settings. Example
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
accessDescription |
Type: string Custom message shown when access is denied. Example: |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
settings |
Type: object
Report behavior settings. Example
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
supportDescription |
Type: string Custom message shown when contacting support. Example: |
Example
{
"counter": 1,
"salt": "example",
"version": 1,
"slides": [
{
"id": "example"
}
],
"slideGroups": [
{
"id": "example",
"items": [
{}
],
"layout": [
{
"i": "example",
"h": 0.5,
"w": 0.5,
"x": 0.5,
"y": 0.5,
"parent": "example"
}
],
"aliases": {
"default": [
[
null,
null
]
]
},
"connections": [
{
"from": "example",
"to": "example",
"kind": "ignore"
}
]
}
],
"slidesOrder": [
"example"
],
"visualSettings": {
"backgroundColor": "example",
"backgroundSettings": {
"color": {
"light": "example",
"dark": "example"
}
},
"borderRadius": 0.5,
"widgetsSettings": {
"borderRadius": 0.5,
"internalMarginsEnabled": true
},
"theme": "example",
"contrast": "example",
"format": "example",
"orientation": "example",
"displayVisualGrid": "example",
"displayDefaultFooter": "example",
"footerText": "example",
"displayLink": "example",
"footerLink": "example",
"displayOnFirstPage": "example",
"displayPageNumber": "example"
},
"slideSettings": {},
"settings": {
"enableAssistant": true,
"dependentSelectors": true,
"loadOnlyVisibleCharts": true
},
"supportDescription": "example",
"accessDescription": "example"
}
DashMeta
Type: object | null
Example
{}
EntryAnnotationArg
|
Name |
Description |
|
description |
Type: string Description of the entry. Example: |
Example
{
"description": "example"
}
EntryLocationIdentifiers
|
Name |
Description |
|
key |
Type: string Entry key when creating the entry in a folder. Example: |
|
name |
Type: string Entry name when creating the entry in a workbook. Example: |
|
workbookId |
Type: string ID of the workbook where the entry should be created. Example: |
Example
{
"key": "example",
"workbookId": "example",
"name": "example"
}
Responses
200 OK
Response
Body
application/json
{
"entry": {
"annotation": {
"description": "example"
},
"createdBy": "example",
"createdAt": "example",
"updatedBy": "example",
"updatedAt": "example",
"revUpdatedBy": "example",
"revUpdatedAt": "example",
"data": {
"counter": 1,
"salt": "example",
"version": 1,
"slides": [
{
"id": "example"
}
],
"slideGroups": [
{
"id": "example",
"items": [
null
],
"layout": [
null
],
"aliases": {},
"connections": [
null
]
}
],
"slidesOrder": [
"example"
],
"visualSettings": {
"backgroundColor": "example",
"backgroundSettings": {
"color": null
},
"borderRadius": 0.5,
"widgetsSettings": {
"borderRadius": 0.5,
"internalMarginsEnabled": true
},
"theme": "example",
"contrast": "example",
"format": "example",
"orientation": "example",
"displayVisualGrid": "example",
"displayDefaultFooter": "example",
"footerText": "example",
"displayLink": "example",
"footerLink": "example",
"displayOnFirstPage": "example",
"displayPageNumber": "example"
},
"slideSettings": {},
"settings": {
"enableAssistant": true,
"dependentSelectors": true,
"loadOnlyVisibleCharts": true
},
"supportDescription": "example",
"accessDescription": "example"
},
"entryId": "example",
"key": "example",
"scope": "report",
"hidden": true,
"meta": {},
"publishedId": "example",
"savedId": "example",
"revId": "example",
"tenantId": "example",
"type": "",
"workbookId": "example",
"collectionId": "example",
"version": 1,
"public": false,
"links": {}
},
"permissions": {
"execute": true,
"read": true,
"edit": true,
"admin": true
}
}
|
Name |
Description |
|
entry |
Type: ReportV1 Example
|
|
permissions |
Type: EntryPermissions Example
|
EntryAnnotation
Type: object | null
Example
{
"description": "example"
}
ReportV1
|
Name |
Description |
|
collectionId |
Type: string | null Example: |
|
createdAt |
Type: string Example: |
|
createdBy |
Type: string Example: |
|
data |
Type: ReportData Example
|
|
entryId |
Type: string Example: |
|
hidden |
Type: boolean |
|
key |
Type: string Example: |
|
meta |
Type: DashMeta Example
|
|
public |
Type: boolean Const: |
|
publishedId |
Type: string | null Example: |
|
revId |
Type: string Example: |
|
savedId |
Type: string Example: |
|
scope |
Type: string Const: Example: |
|
tenantId |
Type: string Example: |
|
type |
Type: string Const: `` Example: |
|
updatedAt |
Type: string Example: |
|
updatedBy |
Type: string Example: |
|
version |
Type: number Const: |
|
workbookId |
Type: string | null Example: |
|
annotation |
Type: EntryAnnotation Example
|
|
links |
Type: object | null Example
|
|
revUpdatedAt |
Type: string Example: |
|
revUpdatedBy |
Type: string Example: |
Example
{
"annotation": {
"description": "example"
},
"createdBy": "example",
"createdAt": "example",
"updatedBy": "example",
"updatedAt": "example",
"revUpdatedBy": "example",
"revUpdatedAt": "example",
"data": {
"counter": 1,
"salt": "example",
"version": 1,
"slides": [
{
"id": "example"
}
],
"slideGroups": [
{
"id": "example",
"items": [
null
],
"layout": [
{}
],
"aliases": {
"default": [
null
]
},
"connections": [
{}
]
}
],
"slidesOrder": [
"example"
],
"visualSettings": {
"backgroundColor": "example",
"backgroundSettings": {
"color": {}
},
"borderRadius": 0.5,
"widgetsSettings": {
"borderRadius": 0.5,
"internalMarginsEnabled": true
},
"theme": "example",
"contrast": "example",
"format": "example",
"orientation": "example",
"displayVisualGrid": "example",
"displayDefaultFooter": "example",
"footerText": "example",
"displayLink": "example",
"footerLink": "example",
"displayOnFirstPage": "example",
"displayPageNumber": "example"
},
"slideSettings": {},
"settings": {
"enableAssistant": true,
"dependentSelectors": true,
"loadOnlyVisibleCharts": true
},
"supportDescription": "example",
"accessDescription": "example"
},
"entryId": "example",
"key": "example",
"scope": "report",
"hidden": true,
"meta": {},
"publishedId": "example",
"savedId": "example",
"revId": "example",
"tenantId": "example",
"type": "",
"workbookId": "example",
"collectionId": "example",
"version": 1,
"public": false,
"links": {}
}
EntryPermissions
|
Name |
Description |
|
admin |
Type: boolean Indicates if there are permissions for admin. |
|
edit |
Type: boolean Indicates if there are permissions to edit. |
|
execute |
Type: boolean Indicates if there are permissions to execute. |
|
read |
Type: boolean Indicates if there are permissions to read. |
Example
{
"execute": true,
"read": true,
"edit": true,
"admin": true
}